## template:jinja

server {
    # Setup HTTPS certificates
    listen       443 default ssl;
    server_name  {{ip_address}};
    ssl_certificate      /etc/nginx/certs/cert.pem;
    ssl_certificate_key  /etc/nginx/certs/key.pem;
    # Proxy for Redfish broker
    location /redfish-proxy/ {
        proxy_pass    http://127.0.0.1:30020/redfish-proxy/;
        proxy_redirect    off;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto "https";
        proxy_buffering off;
    }
    location /redfish/ {
        proxy_pass    http://127.0.0.1:30020/redfish/;
        proxy_redirect    off;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto "https";
        proxy_buffering off;
    }
    location /netdef/ {
        proxy_pass    http://127.0.0.1:30021/netdef/;
        proxy_redirect    off;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto "https";
        proxy_buffering off;
    }
}
